//
//  YHTestViewController.swift
//  galaxy
//
//  Created by edy on 2024/4/11.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHTestViewController: YHBaseViewController {
    
    lazy var nameLabel: UILabel = {
        let nameLabel = UILabel()
        nameLabel.textColor = UIColor(hex:0x121A26)
        nameLabel.textAlignment = .left
        nameLabel.font = UIFont.PFSC_M(ofSize:15)
        nameLabel.numberOfLines = 0
        return nameLabel
    }()

    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = .white
        view.addSubview(nameLabel)
        nameLabel.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(20)
            make.right.equalToSuperview().offset(-20)
            make.top.equalToSuperview().offset(k_Height_NavigationtBarAndStatuBar)
            make.bottom.equalToSuperview()
        }
        
        YHHUD.show(.progress(message: "加载中..."))

        JPUSHService.registrationIDCompletionHandler {
            
            resCode, registrationID in
            YHHUD.hide()
            YHLoginManager.shared.deviceTokenModel.registerId = registrationID ?? ""
            
            var info = "deviceToken: \n" + (YHLoginManager.shared.deviceTokenModel.deviceToken)
            info += "\nregisterId: \n" +  (YHLoginManager.shared.deviceTokenModel.registerId)
            DispatchQueue.main.async {
                self.nameLabel.text = info
            }
        }
    }
    
}

