//
//  YHMsgListModel.swift
//  galaxy
//
//  Created by edy on 2024/4/15.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

struct YHMessageInfoModel: Codable {
    var unreadCount: Int = 0
    var lastMessage: String = ""
    var lastMessageTime: Int = 0
    var type: Int = 0

    enum CodingKeys: String, CodingKey {
        case unreadCount = "unread_count"
        case lastMessage = "last_message"
        case lastMessageTime = "last_message_time"
        case type
    }
}

class YHMsgListModel: SmartCodable {
    var information: YHMessageInfoModel?
    var certificate: YHMessageInfoModel?
    var draft: YHMessageInfoModel?
    var signature: YHMessageInfoModel?
    
    required init() {
        
    }
}
